com.jogamp.common.os

## Enum Platform.CPUType

- java.lang.Object
- - java.lang.Enum<Platform.CPUType>
  - - com.jogamp.common.os.Platform.CPUType

- All Implemented Interfaces:
    Serializable, Comparable<Platform.CPUType>
  Enclosing class:
    Platform

      public static enum Platform.CPUType
      extends Enum<Platform.CPUType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARM` ARM default
    `ARMv5` ARM7EJ, ARM9E, ARM10E, XScale
    `ARMv6` ARM11
    `ARMv7` ARM Cortex
    `IA64` Itanium default
    `MIPS_32` MIPS 32bit
    `MIPS_64` MIPS 64bit
    `PA_RISC2_0` PA_RISC2_0
    `PPC` PPC default
    `SPARC_32` SPARC 32bit
    `SPARCV9_64` SPARC 64bit
    `X86_32` X86 32bit
    `X86_64` X86 64bit

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Platform.CPUFamily` | `family`
    `int` | `id`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Platform.CPUFamily` | `getFamily()`
    `static Platform.CPUType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Platform.CPUType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### X86_32

          public static final Platform.CPUType X86_32

      X86 32bit

    - #### X86_64

          public static final Platform.CPUType X86_64

      X86 64bit

    - #### ARM

          public static final Platform.CPUType ARM

      ARM default

    - #### ARMv5

          public static final Platform.CPUType ARMv5

      ARM7EJ, ARM9E, ARM10E, XScale

    - #### ARMv6

          public static final Platform.CPUType ARMv6

      ARM11

    - #### ARMv7

          public static final Platform.CPUType ARMv7

      ARM Cortex

    - #### PPC

          public static final Platform.CPUType PPC

      PPC default

    - #### SPARC_32

          public static final Platform.CPUType SPARC_32

      SPARC 32bit

    - #### SPARCV9_64

          public static final Platform.CPUType SPARCV9_64

      SPARC 64bit

    - #### MIPS_32

          public static final Platform.CPUType MIPS_32

      MIPS 32bit

    - #### MIPS_64

          public static final Platform.CPUType MIPS_64

      MIPS 64bit

    - #### IA64

          public static final Platform.CPUType IA64

      Itanium default

    - #### PA_RISC2_0

          public static final Platform.CPUType PA_RISC2_0

      PA_RISC2_0

  - ### Field Detail

    - #### id

          public final int id

    - #### family

          public final Platform.CPUFamily family

  - ### Method Detail

    - #### values

          public static Platform.CPUType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Platform.CPUType c : Platform.CPUType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Platform.CPUType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getFamily

          public Platform.CPUFamily getFamily()